<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package the-consult
 */

?>

	</div><!-- #content -->

	<footer id="colophon" class="site-footer">
        <div class="footer-wrap">
            <div class="container">
                
                <?php if(is_active_sidebar('the-consult-footer-one')){ ?>
                    <div id="the-consult-footer-one">
                        <?php dynamic_sidebar('the-consult-footer-one'); ?>
                    </div>
                <?php } ?>
                
                <?php if(is_active_sidebar('the-consult-footer-two')){ ?>
                    <div id="the-consult-footer-two">
                        <?php dynamic_sidebar('the-consult-footer-two'); ?>
                    </div>
                <?php } ?>
                
                <?php if(is_active_sidebar('the-consult-footer-three')){ ?>
                    <div id="the-consult-footer-three">
                        <?php dynamic_sidebar('the-consult-footer-three'); ?>
                    </div>
                <?php } ?>
                
                <?php if(is_active_sidebar('the-consult-footer-four')){ ?>
                    <div id="the-consult-footer-four">
                        <?php dynamic_sidebar('the-consult-footer-four'); ?>
                    </div>
                <?php } ?>
                
            </div>     	
        </div><!-- .site-info -->     
        <div class="site-info">
              <div class="container">
                  <div class="footer_btm_left">
                     <span class="copyright-text"><?php echo wp_kses_post( get_theme_mod( 'the_consult_footer_setting_cpy_text'));?></span>
                        <span class="sep"> | </span>
                        <?php 
                            printf( esc_html__( 'the-consult by %1$s.', 'the-consult' ), '<a href="'.esc_url( 'http://themeruler.com' ).'" rel="designer">'.esc_html__('Themeruler', 'the-consult').'</a>' ); 
                        ?>
                   </div>
                   <div class="footer_social_icon_front">
                     <?php 
                     $the_consult_footer_social_link = get_theme_mod('the_consult_footer_option');
                     if($the_consult_footer_social_link){
                     do_action('the_consult_footer_social_link_action');
                     } ?>
                  </div>
               </div><!-- .site-info -->
    </div>
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
